Subject: TFS / TradeSpark
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 24 May 2001 13:26:05 -0700 (PDT)

Andy,
Mark Greenberg, myself and the attorney for TFS are working out the details for the definitive agreement.  The revised copy was sent out this afternoon.  If all goes well, it should close next week.  There are a few issues that could delay it but the chances of that happening are low.

TradeSpark was eager to see a contract.  I had an agreement sent out yesterday to Michael Williams that included North American Natural Gas, Power, Coal, Emissions, Broadband and Weather for $500,000.  Of course, Michael wanted to discuss putting the prices on TradeSpark.  I told him that the contract will only deal with the ability to transact on behalf of his clients.  Hopefully, we can leave it there but I doubt that's the last we'll hear of it.

-Dan